Summary: An X Windows System programming environment.
Name: xwpe
%define	version	1.5.14a
Version: %{version}
Release: 1
Copyright: GPL
Url: http://www.rpi.edu/~payned/xwpe
Group: Development/Tools
#
#Source: ftp://ftp.rrzn.uni-hannover.de/pub/systems/unix/xwpe/xwpe-1.4.2.tar.Z
Source: http://www.rpi.edu/~payned/xwpe/xwpe-%{version}.tar.gz
Prefix: /usr
BuildRoot: /var/tmp/%{name}-root

%description
Xwpe is an X Window System programming environment similar to the
Borland C++ or Turbo Pascal environments.  If you've used some of the
MS Windows IDEs and you've longed for an X equivalent, this may be what
you're looking for.  The xwpe system includes four programs: xwpe (the
X11 programming environment), xwe (the X11 text editor without the
programming environment), wpe (the programming environment for ASCII
terminals) and we (the text editor for ASCII terminals).  This package
just includes the basic xwpe libraries and the text-mode programs (wpe
and we). The X Window System programs (xwpe and xwe) are included in
the xwpe-X11 package, which you'll also need to install.

%package X11
Summary: The X programs needed for the Xwpe programming environment.
Group: Development/Libraries

%description X11
Xwpe is an X Window System programming environment similar to the
Borland C++ or Turbo Pascal environments.  If you've used some of the
MS Windows IDEs and you've longed for an X equivalent, this may be what
you're looking for.  The xwpe system includes four programs: xwpe (the
X11 programming environment), xwe (the X11 text editor without the
programming environment), wpe (the programming environment for ASCII
terminals) and we (the text editor for ASCII terminals).  This package
just includes the Xwpe X Window System programs (xwpe and xwe).  The
basic xwpe libraries and the text-mode programs (wpe and we) are
included in the xwpe package, which you'll also need to install.

%prep
%setup -q

%build
./configure --prefix=/usr
make 

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr

make prefix=$RPM_BUILD_ROOT/usr install

( cd $RPM_BUILD_ROOT/usr/bin
  strip we wpe xwe xwpe
)

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README CHANGELOG
/usr/bin/we
/usr/bin/wpe
/usr/lib/xwpe
/usr/man/man1/wpe.1
/usr/man/man1/we.1

%files X11
%defattr(-,root,root)
/usr/man/man1/xwpe.1
/usr/man/man1/xwe.1
/usr/bin/xwe
/usr/bin/xwpe

%changelog
* Tue Feb  2 1999 Jeff Johnson <jbj@redhat.com>
- update to 1.5.14a.

* Mon Dec 28 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.5.13a.

* Tue Dec 15 1998 Bill Nottingham <notting@redhat.com>
- fix for glibc2.1

* Thu Sep 10 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.5.12a.

* Thu Aug 20 1998 Jeff Johnson <jbj!redhat.com>
- update to 1.5.11a.

* Sun Jul 26 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.5.10a.

* Sat Jun 27 1998 Jeff Johnson <jbj@redhat.com>
- update to 1.5.9a.

* Fri May 08 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Wed Apr 15 1998 Erik Troan <ewt@redhat.com>
- built against new ncurses

* Tue Oct 21 1997 Otto Hammersmith <otto@redhat.com>
- fixed source and patch urls
- added URL tag

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- built against glibc
